## ros-jazzy-rqt-publisher 1.7.2

=== debian/changelog ===
ros-jazzy-rqt-publisher (1.7.2-3bookworm) bookworm; urgency=high

  * Use raw strings for regular expressions. (#44 <https://github.com/ros-visualization/rqt_publisher/issues/44>)
  * Switch maintainer to me. (#43 <https://github.com/ros-visualization/rqt_publisher/issues/43>)
  * Update maintainer list in package.xml files (#42 <https://github.com/ros-visualization/rqt_publisher/issues/42>)
  * Contributors: Chris Lalancette, Michael Jeronimo

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 27 Mar 2024 16:00:00 -0000

ros-jazzy-rqt-publisher (1.7.1-3bookworm) bookworm; urgency=high

  * Add in a test dependency on pytest. (#41 <https://github.com/ros-visualization/rqt_publisher/issues/41>)
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 06 Feb 2024 16:00:00 -0000

ros-jazzy-rqt-publisher (1.7.0-3bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 27 Apr 2023 16:00:00 -0000

ros-jazzy-rqt-publisher (1.6.3-3bookworm) bookworm; urgency=high

  * Changes the use of __slots__ for the field and field type getter
  * Contributors: Michael Jeronimo, Voldivh

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-jazzy-rqt-publisher (1.6.2-3bookworm) bookworm; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#36 <https://github.com/ros-visualization/rqt_publisher/issues/36>)
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-jazzy-rqt-publisher (1.6.1-3bookworm) bookworm; urgency=high

  * Minor cleanups in rqt_publisher for ROS 2 (#35 <https://github.com/ros-visualization/rqt_publisher/issues/35>)
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-jazzy-rqt-publisher (1.6.0-3bookworm) bookworm; urgency=high

  * Delete sync to foxy-devel workflow
  * Merge pull request #33 <https://github.com/ros-visualization/rqt_publisher/issues/33> from NBadyal/improve-evaluation-of-types
  * Use regex matching to strip errors from input
  * Change slot_type verification strategy
  * Mirror rolling to foxy-devel
  * Contributors: Audrow Nash, Geoffrey Biggs, Nicholas Badyal

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 01 Aug 2022 16:00:00 -0000

ros-jazzy-rqt-publisher (1.2.0-3bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 09 May 2022 16:00:00 -0000

ros-jazzy-rqt-publisher (1.1.3-3bookworm) bookworm; urgency=high

  * Fix: Do not ignore field values introduced by the user. (#28 <https://github.com/ros-visualization/rqt_publisher/issues/28>)
  * Fix modern setuptools warning about dashes instead of underscores. (#29 <https://github.com/ros-visualization/rqt_publisher/issues/29>)
  * Contributors: Chris Lalancette, coalman321

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 28 Jun 2021 16:00:00 -0000

ros-jazzy-rqt-publisher (1.1.2-3bookworm) bookworm; urgency=high

  * Changed the build type to ament_python and fixed package to run with ros2 run (#18 <https://github.com/ros-visualization/rqt_publisher/issues/18>)
  * Drop numpy.float128 references (#26 <https://github.com/ros-visualization/rqt_publisher/issues/26>)
  * Contributors: Alejandro Hernández Cordero, Michel Hidalgo

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 26 Apr 2021 16:00:00 -0000

ros-jazzy-rqt-publisher (1.1.1-3bookworm) bookworm; urgency=high

  * Use rosidl_runtime_py instead of rqt_py_common where possible (#24 <https://github.com/ros-visualization/rqt_publisher/issues/24>)
  * Add now() to evaluation (#22 <https://github.com/ros-visualization/rqt_publisher/issues/22>)
  * Contributors: Ivan Santiago Paunovic, Yossi Ovcharik

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 15 Mar 2021 16:00:00 -0000

ros-jazzy-rqt-publisher (1.1.0-3bookworm) bookworm; urgency=high

  * fix setting expressions on sequence items (#16 <https://github.com/ros-visualization/rqt_publisher/issues/16>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 02 Oct 2019 16:00:00 -0000

ros-jazzy-rqt-publisher (1.0.3-3bookworm) bookworm; urgency=high

  * Prepending node namespace to relative topics and adding validation for topic names (#7 <https://github.com/ros-visualization/rqt_publisher/issues/7>)
  * Contributors: brawner

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 12 Dec 2018 16:00:00 -0000

ros-jazzy-rqt-publisher (1.0.2-3bookworm) bookworm; urgency=high

  * fix cleaning up publisher on shutdown (#6 <https://github.com/ros-visualization/rqt_publisher/issues/6>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 11 Dec 2018 16:00:00 -0000

ros-jazzy-rqt-publisher (1.0.1-3bookworm) bookworm; urgency=high

  * destroy publishers on removal (#4 <https://github.com/ros-visualization/rqt_publisher/issues/4>)
  * Contributors: Mike Lautman

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 11 Dec 2018 16:00:00 -0000

ros-jazzy-rqt-publisher (1.0.0-3bookworm) bookworm; urgency=high

  * Port to ROS2 (#2 <https://github.com/ros-visualization/rqt_publisher/issues/2>)
  * autopep8 (#1 <https://github.com/ros-visualization/rqt_publisher/issues/1>)
  * Contributors: Mike Lautman, brawner

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 10 Dec 2018 16:00:00 -0000

ros-jazzy-rqt-publisher (0.4.8-3bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 23 Apr 2017 16:00:00 -0000

ros-jazzy-rqt-publisher (0.4.7-3bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 01 Mar 2017 16:00:00 -0000

ros-jazzy-rqt-publisher (0.4.6-3bookworm) bookworm; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 26 Feb 2017 16:00:00 -0000


