=== debian/control ===
Source: ros-jazzy-rqt-publisher
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-jazzy-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: http://wiki.ros.org/rqt_publisher
Standards-Version: 3.9.2

Package: ros-jazzy-rqt-publisher
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-numpy, ros-jazzy-ament-index-python, ros-jazzy-python-qt-binding (>= 0.2.19), ros-jazzy-qt-gui-py-common, ros-jazzy-rclpy, ros-jazzy-rosidl-runtime-py, ros-jazzy-rqt-gui, ros-jazzy-rqt-gui-py, ros-jazzy-rqt-py-common, ros-jazzy-ros-workspace
Description: rqt_publisher provides a GUI plugin for publishing arbitrary messages with fixed or computed field values.
